this.name           = "mo-traders_rating";
this.author         = "spara";
this.copyright      = "2013 Mika Spåra";
this.description    = "Gives the player a Trader's Rating based on profit made.";
this.version        = "2.2.4";
this.licence    	= "CC BY-NC-SA 3.0";

//Public function for reporting profit
this.$reportProfit = function(profit) {
	this.$profit += profit;
	this.$setInstruction();
}

this.startUp = function() {
	if (!missionVariables.marketObserverProfit) this.$profit = 0;
	else this.$profit = missionVariables.marketObserverProfit;
	this.$setInstruction();
}

this.playerWillSaveGame = function () {
	missionVariables.marketObserverProfit = this.$profit;
}

this.$traderRank = function() { //return trader rank string
	var traderRatings =[0, 1500, 5000, 20000, 50000, 100000, 250000, 500000, 1000000];
	var i;
	var traderRating = -1;
	for (i = 0; i < 9; i++) {
		if (this.$profit/10 >= traderRatings[i])
			var traderRating = i;
	}
	if (traderRating != -1)
		return expandDescription("[STC_trade_rating_" + traderRating+"]");
	else
		return expandDescription("[STC_trade_rating_minus]");
}

//Trader rank for player manifest screen
this.$setInstruction = function() { //set trader rank text to manifest
	var instructionText = "Profit by trade: " +formatCredits(this.$profit/10, true, true ) + ". Rank - " +this.$traderRank()+".";
	mission.setInstructions(instructionText, this.name);
}

